Index: squid/auth_modules/NT/NT_auth.mak
===================================================================
RCS file: /cvsroot/squid-sf//squid/auth_modules/NT/Attic/NT_auth.mak,v
retrieving revision 1.1.2.2
retrieving revision 1.1.2.2.2.1
diff -u -r1.1.2.2 -r1.1.2.2.2.1
--- squid/auth_modules/NT/NT_auth.mak	30 Jun 2001 18:42:07 -0000	1.1.2.2
+++ squid/auth_modules/NT/NT_auth.mak	27 Aug 2001 21:48:15 -0000	1.1.2.2.2.1
@@ -39,11 +39,11 @@
 
 !IF "$(RECURSE)" == "0" 
 
-ALL : "$(OUTDIR)\NT_auth.dll"
+ALL : "$(OUTDIR)\NT_auth.exe"
 
 !ELSE 
 
-ALL : "miscutil - Win32 Release" "$(OUTDIR)\NT_auth.dll"
+ALL : "miscutil - Win32 Release" "$(OUTDIR)\NT_auth.exe"
 
 !ENDIF 
 
@@ -56,28 +56,26 @@
 	-@erase "$(INTDIR)\NT_auth.res"
 	-@erase "$(INTDIR)\valid.obj"
 	-@erase "$(INTDIR)\vc60.idb"
-	-@erase "$(OUTDIR)\NT_auth.dll"
-	-@erase "$(OUTDIR)\NT_auth.exp"
+	-@erase "$(OUTDIR)\NT_auth.exe"
 
 "$(OUTDIR)" :
     if not exist "$(OUTDIR)/$(NULL)" mkdir "$(OUTDIR)"
 
-CPP_PROJ=/nologo /G6 /MT /W3 /GX /O2 /Ob2 /I "..\..\include" /I "..\..\src" /D "WIN32" /D "NDEBUG" /D "_WINDOWS" /D "_MBCS" /D "_USRDLL" /D "NT_AUTH_EXPORTS" /Fp"$(INTDIR)\NT_auth.pch" /YX /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /c 
-MTL_PROJ=/nologo /D "NDEBUG" /mktyplib203 /win32 
-RSC_PROJ=/l 0x410 /fo"$(INTDIR)\NT_auth.res" /d "NDEBUG" 
+CPP_PROJ=/nologo /MT /W3 /GX /O2 /I "../../include" /I "../" /I "../../src" /D "NDEBUG" /D "WIN32" /D "_CONSOLE" /D "_MBCS" /D "UNLINK_DAEMON" /D DEFAULT_CONFIG_FILE=\"squid.conf\" /Fp"$(INTDIR)\NT_auth.pch" /YX /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /c 
+RSC_PROJ=/l 0x419 /fo"$(INTDIR)\NT_auth.res" /d "NDEBUG" 
 BSC32=bscmake.exe
 BSC32_FLAGS=/nologo /o"$(OUTDIR)\NT_auth.bsc" 
 BSC32_SBRS= \
 	
 LINK32=link.exe
-LINK32_FLAGS=kernel32.lib user32.lib advapi32.lib netapi32.lib /nologo /dll /incremental:no /pdb:"$(OUTDIR)\NT_auth.pdb" /machine:I386 /out:"$(OUTDIR)\NT_auth.dll" /implib:"$(OUTDIR)\NT_auth.lib" 
+LINK32_FLAGS=kernel32.lib netapi32.lib advapi32.lib /nologo /subsystem:console /incremental:no /pdb:"$(OUTDIR)\NT_auth.pdb" /machine:I386 /out:"$(OUTDIR)\NT_auth.exe" 
 LINK32_OBJS= \
 	"$(INTDIR)\nt_auth.obj" \
 	"$(INTDIR)\valid.obj" \
 	"$(INTDIR)\NT_auth.res" \
 	"..\..\win\miscutil\Release\miscutil.lib"
 
-"$(OUTDIR)\NT_auth.dll" : "$(OUTDIR)" $(DEF_FILE) $(LINK32_OBJS)
+"$(OUTDIR)\NT_auth.exe" : "$(OUTDIR)" $(DEF_FILE) $(LINK32_OBJS)
     $(LINK32) @<<
   $(LINK32_FLAGS) $(LINK32_OBJS)
 <<
@@ -92,11 +90,11 @@
 
 !IF "$(RECURSE)" == "0" 
 
-ALL : "$(OUTDIR)\NT_auth.dll"
+ALL : "$(OUTDIR)\NT_auth.exe" "$(OUTDIR)\NT_auth.bsc"
 
 !ELSE 
 
-ALL : "miscutil - Win32 Debug" "$(OUTDIR)\NT_auth.dll"
+ALL : "miscutil - Win32 Debug" "$(OUTDIR)\NT_auth.exe" "$(OUTDIR)\NT_auth.bsc"
 
 !ENDIF 
 
@@ -107,33 +105,41 @@
 !ENDIF 
 	-@erase "$(INTDIR)\nt_auth.obj"
 	-@erase "$(INTDIR)\NT_auth.res"
+	-@erase "$(INTDIR)\nt_auth.sbr"
 	-@erase "$(INTDIR)\valid.obj"
+	-@erase "$(INTDIR)\valid.sbr"
 	-@erase "$(INTDIR)\vc60.idb"
 	-@erase "$(INTDIR)\vc60.pdb"
-	-@erase "$(OUTDIR)\NT_auth.dll"
-	-@erase "$(OUTDIR)\NT_auth.exp"
+	-@erase "$(OUTDIR)\NT_auth.bsc"
+	-@erase "$(OUTDIR)\NT_auth.exe"
 	-@erase "$(OUTDIR)\NT_auth.ilk"
 	-@erase "$(OUTDIR)\NT_auth.pdb"
 
 "$(OUTDIR)" :
     if not exist "$(OUTDIR)/$(NULL)" mkdir "$(OUTDIR)"
 
-CPP_PROJ=/nologo /G6 /MTd /W3 /Gm /GX /ZI /Od /I "..\..\include" /I "..\..\src" /D "WIN32" /D "_DEBUG" /D "_WINDOWS" /D "_MBCS" /D "_USRDLL" /D "NT_AUTH_EXPORTS" /Fp"$(INTDIR)\NT_auth.pch" /YX /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /GZ /c 
-MTL_PROJ=/nologo /D "_DEBUG" /mktyplib203 /win32 
-RSC_PROJ=/l 0x410 /fo"$(INTDIR)\NT_auth.res" /d "_DEBUG" 
+CPP_PROJ=/nologo /MTd /W3 /Gm /GX /ZI /Od /I "../../include" /I "../" /I "../../src" /D "_DEBUG" /D "WIN32" /D "_CONSOLE" /D "_MBCS" /D "UNLINK_DAEMON" /D DEFAULT_CONFIG_FILE=\"squid.conf\" /FR"$(INTDIR)\\" /Fp"$(INTDIR)\NT_auth.pch" /YX /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /GZ /c 
+RSC_PROJ=/l 0x419 /fo"$(INTDIR)\NT_auth.res" /d "_DEBUG" 
 BSC32=bscmake.exe
 BSC32_FLAGS=/nologo /o"$(OUTDIR)\NT_auth.bsc" 
 BSC32_SBRS= \
-	
+	"$(INTDIR)\nt_auth.sbr" \
+	"$(INTDIR)\valid.sbr"
+
+"$(OUTDIR)\NT_auth.bsc" : "$(OUTDIR)" $(BSC32_SBRS)
+    $(BSC32) @<<
+  $(BSC32_FLAGS) $(BSC32_SBRS)
+<<
+
 LINK32=link.exe
-LINK32_FLAGS=kernel32.lib user32.lib advapi32.lib netapi32.lib /nologo /dll /incremental:yes /pdb:"$(OUTDIR)\NT_auth.pdb" /debug /machine:I386 /out:"$(OUTDIR)\NT_auth.dll" /implib:"$(OUTDIR)\NT_auth.lib" /pdbtype:sept 
+LINK32_FLAGS=kernel32.lib netapi32.lib advapi32.lib /nologo /subsystem:console /incremental:yes /pdb:"$(OUTDIR)\NT_auth.pdb" /debug /machine:I386 /out:"$(OUTDIR)\NT_auth.exe" /pdbtype:sept 
 LINK32_OBJS= \
 	"$(INTDIR)\nt_auth.obj" \
 	"$(INTDIR)\valid.obj" \
 	"$(INTDIR)\NT_auth.res" \
 	"..\..\win\miscutil\Debug\miscutil.lib"
 
-"$(OUTDIR)\NT_auth.dll" : "$(OUTDIR)" $(DEF_FILE) $(LINK32_OBJS)
+"$(OUTDIR)\NT_auth.exe" : "$(OUTDIR)" $(DEF_FILE) $(LINK32_OBJS)
     $(LINK32) @<<
   $(LINK32_FLAGS) $(LINK32_OBJS)
 <<
@@ -170,6 +176,7 @@
    $(CPP_PROJ) $< 
 <<
 
+MTL_PROJ=
 
 !IF "$(NO_EXTERNAL_DEPS)" != "1"
 !IF EXISTS("NT_auth.dep")
@@ -183,14 +190,36 @@
 !IF "$(CFG)" == "NT_auth - Win32 Release" || "$(CFG)" == "NT_auth - Win32 Debug"
 SOURCE=.\nt_auth.c
 
+!IF  "$(CFG)" == "NT_auth - Win32 Release"
+
+
 "$(INTDIR)\nt_auth.obj" : $(SOURCE) "$(INTDIR)"
 
 
+!ELSEIF  "$(CFG)" == "NT_auth - Win32 Debug"
+
+
+"$(INTDIR)\nt_auth.obj"	"$(INTDIR)\nt_auth.sbr" : $(SOURCE) "$(INTDIR)"
+
+
+!ENDIF 
+
 SOURCE=.\valid.c
 
+!IF  "$(CFG)" == "NT_auth - Win32 Release"
+
+
 "$(INTDIR)\valid.obj" : $(SOURCE) "$(INTDIR)"
 
 
+!ELSEIF  "$(CFG)" == "NT_auth - Win32 Debug"
+
+
+"$(INTDIR)\valid.obj"	"$(INTDIR)\valid.sbr" : $(SOURCE) "$(INTDIR)"
+
+
+!ENDIF 
+
 SOURCE=.\NT_auth.rc
 
 "$(INTDIR)\NT_auth.res" : $(SOURCE) "$(INTDIR)"
@@ -200,25 +229,25 @@
 !IF  "$(CFG)" == "NT_auth - Win32 Release"
 
 "miscutil - Win32 Release" : 
-   cd "\work\nt-2.3\win\miscutil"
-   $(MAKE) /$(MAKEFLAGS) /F ".\miscutil.mak" CFG="miscutil - Win32 Release" 
+   cd "\work\squidnt23\win\miscutil"
+   $(MAKE) /$(MAKEFLAGS) /F .\miscutil.mak CFG="miscutil - Win32 Release" 
    cd "..\..\auth_modules\NT"
 
 "miscutil - Win32 ReleaseCLEAN" : 
-   cd "\work\nt-2.3\win\miscutil"
-   $(MAKE) /$(MAKEFLAGS) /F ".\miscutil.mak" CFG="miscutil - Win32 Release" RECURSE=1 CLEAN 
+   cd "\work\squidnt23\win\miscutil"
+   $(MAKE) /$(MAKEFLAGS) /F .\miscutil.mak CFG="miscutil - Win32 Release" RECURSE=1 CLEAN 
    cd "..\..\auth_modules\NT"
 
 !ELSEIF  "$(CFG)" == "NT_auth - Win32 Debug"
 
 "miscutil - Win32 Debug" : 
-   cd "\work\nt-2.3\win\miscutil"
-   $(MAKE) /$(MAKEFLAGS) /F ".\miscutil.mak" CFG="miscutil - Win32 Debug" 
+   cd "\work\squidnt23\win\miscutil"
+   $(MAKE) /$(MAKEFLAGS) /F .\miscutil.mak CFG="miscutil - Win32 Debug" 
    cd "..\..\auth_modules\NT"
 
 "miscutil - Win32 DebugCLEAN" : 
-   cd "\work\nt-2.3\win\miscutil"
-   $(MAKE) /$(MAKEFLAGS) /F ".\miscutil.mak" CFG="miscutil - Win32 Debug" RECURSE=1 CLEAN 
+   cd "\work\squidnt23\win\miscutil"
+   $(MAKE) /$(MAKEFLAGS) /F .\miscutil.mak CFG="miscutil - Win32 Debug" RECURSE=1 CLEAN 
    cd "..\..\auth_modules\NT"
 
 !ENDIF 
Index: squid/auth_modules/NT/NT_auth.rc
===================================================================
RCS file: /cvsroot/squid-sf//squid/auth_modules/NT/Attic/NT_auth.rc,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.1.2.1
diff -u -r1.1.2.1 -r1.1.2.1.2.1
--- squid/auth_modules/NT/NT_auth.rc	6 Jan 2001 12:48:44 -0000	1.1.2.1
+++ squid/auth_modules/NT/NT_auth.rc	27 Aug 2001 21:48:15 -0000	1.1.2.1.2.1
@@ -49,13 +49,13 @@
             VALUE "FileDescription", "SquidNT - NT Authenticator DLL plug-in\0"
             VALUE "FileVersion", "1, 0, 0, 1\0"
             VALUE "InternalName", "NT_auth\0"
-            VALUE "LegalCopyright", "Romeo Anghelache & Guido Serassio\0"
+            VALUE "LegalCopyright", "Romeo Anghelache, Guido Serassio & Andrey Shorin\0"
             VALUE "LegalTrademarks", "GNU gpl\0"
-            VALUE "OriginalFilename", "NT_auth.dll\0"
-            VALUE "PrivateBuild", "STABLE4\0"
+            VALUE "OriginalFilename", "NT_auth.exe\0"
+            VALUE "PrivateBuild", "STABLE5\0"
             VALUE "ProductName", "Squid Proxy Server for Windows NT\0"
             VALUE "ProductVersion", "2.3\0"
-            VALUE "SpecialBuild", "STABLE4\0"
+            VALUE "SpecialBuild", "STABLE5\0"
         END
     END
     BLOCK "VarFileInfo"
Index: squid/auth_modules/NT/valid.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/auth_modules/NT/Attic/valid.c,v
retrieving revision 1.1.2.2
retrieving revision 1.1.2.2.2.1
diff -u -r1.1.2.2 -r1.1.2.2.2.1
--- squid/auth_modules/NT/valid.c	17 Jun 2001 12:39:53 -0000	1.1.2.2
+++ squid/auth_modules/NT/valid.c	27 Aug 2001 21:48:15 -0000	1.1.2.2.2.1
@@ -1,12 +1,9 @@
 #include "squid.h"
-
 /* Check if we try to compile on a Windows Platform */
 #if defined(_SQUID_CYGWIN_) || defined(_SQUID_MSWIN_)
 
 #include <assert.h>
-#if defined(_SQUID_CYGWIN_)
 #include <wchar.h>
-#endif
 #include <windows.h>
 #include <lm.h>
 #include "valid.h"
@@ -101,7 +98,7 @@
 	CloseHandle(hToken);
     return result;
 }
-#else  /* NON Windows Platform !!! */
+#else /* NON Windows Platform !!! */
 
 #error NON WINDOWS PLATFORM
 
Index: squid/auth_modules/PAM/pam_auth.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/auth_modules/PAM/Attic/pam_auth.c,v
retrieving revision 1.1.1.1.18.1
retrieving revision 1.1.1.1.18.1.2.1
diff -u -r1.1.1.1.18.1 -r1.1.1.1.18.1.2.1
--- squid/auth_modules/PAM/pam_auth.c	6 Jan 2001 12:40:08 -0000	1.1.1.1.18.1
+++ squid/auth_modules/PAM/pam_auth.c	27 Aug 2001 21:48:15 -0000	1.1.1.1.18.1.2.1
@@ -1,5 +1,5 @@
 /*
- * $Id: pam_auth.c,v 1.1.1.1.18.1 2001/01/06 12:40:08 hno Exp $
+ * $Id: pam_auth.c,v 1.1.1.1.18.1.2.1 2001/08/27 21:48:15 tolsty Exp $
  *
  * PAM authenticator module for Squid.
  * Copyright (C) 1999 Henrik Nordstrom <hno@hem.passagen.se>
@@ -71,10 +71,12 @@
  * expects a single converstation message of type PAM_PROMPT_ECHO_OFF.
  */
 static int
-password_conversation(int num_msg, const struct pam_message **msg, struct pam_response **resp, void *appdata_ptr)
+password_conversation(int num_msg, const struct pam_message **msg,
+    struct pam_response **resp, void *appdata_ptr)
 {
     if (num_msg != 1 || msg[0]->msg_style != PAM_PROMPT_ECHO_OFF) {
-	fprintf(stderr, "ERROR: Unexpected PAM converstaion '%d/%s'\n", msg[0]->msg_style, msg[0]->msg);
+	fprintf(stderr, "ERROR: Unexpected PAM converstaion '%d/%s'\n",
+	    msg[0]->msg_style, msg[0]->msg);
 	return PAM_CONV_ERR;
     }
     if (!appdata_ptr) {
@@ -84,7 +86,8 @@
 	appdata_ptr = password;
     }
     if (!appdata_ptr) {
-	fprintf(stderr, "ERROR: No password available to password_converstation!\n");
+	fprintf(stderr,
+	    "ERROR: No password available to password_converstation!\n");
 	return PAM_CONV_ERR;
     }
     *resp = calloc(num_msg, sizeof(struct pam_response));
@@ -98,8 +101,7 @@
     return ((*resp)[0].resp ? PAM_SUCCESS : PAM_CONV_ERR);
 }
 
-static struct pam_conv conv =
-{
+static struct pam_conv conv = {
     &password_conversation,
     NULL
 };
Index: squid/auth_modules/SMB/smb_auth.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/auth_modules/SMB/Attic/smb_auth.c,v
retrieving revision 1.1.1.2
retrieving revision 1.1.1.2.28.1
diff -u -r1.1.1.2 -r1.1.1.2.28.1
--- squid/auth_modules/SMB/smb_auth.c	26 Jan 2000 03:25:00 -0000	1.1.1.2
+++ squid/auth_modules/SMB/smb_auth.c	27 Aug 2001 21:48:15 -0000	1.1.1.2.28.1
@@ -27,14 +27,14 @@
 
 struct SMBDOMAIN
 {
-	char				*name;			/* domain name */
-	char				*sname;			/* match this with user input */
-	char				*passthrough;	/* pass-through authentication */
-	char				*nmbaddr;		/* name service address */
-	int					nmbcast;		/* broadcast or unicast */
-	char				*authshare;		/* share name of auth file */
-	char				*authfile;		/* pathname of auth file */
-	struct SMBDOMAIN	*next;			/* linked list */
+    char *name;			/* domain name */
+    char *sname;		/* match this with user input */
+    char *passthrough;		/* pass-through authentication */
+    char *nmbaddr;		/* name service address */
+    int nmbcast;		/* broadcast or unicast */
+    char *authshare;		/* share name of auth file */
+    char *authfile;		/* pathname of auth file */
+    struct SMBDOMAIN *next;	/* linked list */
 };
 
 struct SMBDOMAIN *firstdom = NULL;
@@ -45,217 +45,199 @@
  * to the read command of the bourne shell.
  */
 
-void print_esc(FILE *p, char *s)
+void
+print_esc(FILE * p, char *s)
 {
-	char	buf[256];
-	char	*t;
-	int		i = 0;
-
-	for (t = s; *t != '\0'; t++)
-	{
-		if (i > 250)
-		{
-			buf[i] = '\0';
-			(void) fputs(buf, p);
-			i = 0;
-		}
+    char buf[256];
+    char *t;
+    int i = 0;
+
+    for (t = s; *t != '\0'; t++) {
+	if (i > 250) {
+	    buf[i] = '\0';
+	    (void) fputs(buf, p);
+	    i = 0;
+	}
 
-		if (*t == '\\')
-			buf[i++] = '\\';
+	if (*t == '\\')
+	    buf[i++] = '\\';
 
-		buf[i++] = *t;
-	}
+	buf[i++] = *t;
+    }
 
-	if (i > 0)
-	{
-		buf[i] = '\0';
-		(void) fputs(buf, p);
-	}
+    if (i > 0) {
+	buf[i] = '\0';
+	(void) fputs(buf, p);
+    }
 }
 
-void main(int argc, char *argv[])
+void
+main(int argc, char *argv[])
 {
-	int					i;
-	char				buf[BUFSIZE];
-	struct SMBDOMAIN	*dom;
-	char				*s;
-	char				*user;
-	char				*pass;
-	char				*domname;
-	FILE				*p;
-	int					debug = 0;
-	char				*shcmd;
-
-	/* make standard output line buffered */
-	if (setvbuf(stdout, NULL, _IOLBF, 0) != 0)
-		return;
-
-	/* parse command line arguments */
-	for (i = 1; i < argc; i++)
-	{
-		if (strcmp(argv[i], "-d") == 0)
-		{
-			debug = 1;
-			continue;
-		}
+    int i;
+    char buf[BUFSIZE];
+    struct SMBDOMAIN *dom;
+    char *s;
+    char *user;
+    char *pass;
+    char *domname;
+    FILE *p;
+    int debug = 0;
+    char *shcmd;
+
+    /* make standard output line buffered */
+    if (setvbuf(stdout, NULL, _IOLBF, 0) != 0)
+	return;
+
+    /* parse command line arguments */
+    for (i = 1; i < argc; i++) {
+	if (strcmp(argv[i], "-d") == 0) {
+	    debug = 1;
+	    continue;
+	}
 
-		/* the next options require an argument */
-		if (i + 1 == argc)
-			break;
-
-		if (strcmp(argv[i], "-W") == 0)
-		{
-			if ((dom = (struct SMBDOMAIN *) malloc(sizeof(struct SMBDOMAIN))) == NULL)
-				return;
-
-			dom->name = dom->sname = argv[++i];
-			dom->passthrough = "";
-			dom->nmbaddr = "";
-			dom->nmbcast = NMB_BROADCAST;
-			dom->authshare = "NETLOGON";
-			dom->authfile = "proxyauth";
-			dom->next = NULL;
-
-			/* append to linked list */
-			if (lastdom != NULL)
-				lastdom->next = dom;
-			else
-				firstdom = dom;
+	/* the next options require an argument */
+	if (i + 1 == argc)
+	    break;
+
+	if (strcmp(argv[i], "-W") == 0) {
+	    if ((dom =
+		    (struct SMBDOMAIN *) malloc(sizeof(struct SMBDOMAIN))) ==
+		NULL) return;
+
+	    dom->name = dom->sname = argv[++i];
+	    dom->passthrough = "";
+	    dom->nmbaddr = "";
+	    dom->nmbcast = NMB_BROADCAST;
+	    dom->authshare = "NETLOGON";
+	    dom->authfile = "proxyauth";
+	    dom->next = NULL;
+
+	    /* append to linked list */
+	    if (lastdom != NULL)
+		lastdom->next = dom;
+	    else
+		firstdom = dom;
 
-			lastdom = dom;
-			continue;
-		}
+	    lastdom = dom;
+	    continue;
+	}
 
-		if (strcmp(argv[i], "-w") == 0)
-		{
-			if (lastdom != NULL)
-				lastdom->sname = argv[++i];
-			continue;
-		}
+	if (strcmp(argv[i], "-w") == 0) {
+	    if (lastdom != NULL)
+		lastdom->sname = argv[++i];
+	    continue;
+	}
 
-		if (strcmp(argv[i], "-P") == 0)
-		{
-			if (lastdom != NULL)
-				lastdom->passthrough = argv[++i];
-			continue;
-		}
+	if (strcmp(argv[i], "-P") == 0) {
+	    if (lastdom != NULL)
+		lastdom->passthrough = argv[++i];
+	    continue;
+	}
 
-		if (strcmp(argv[i], "-B") == 0)
-		{
-			if (lastdom != NULL)
-			{
-				lastdom->nmbaddr = argv[++i];
-				lastdom->nmbcast = NMB_BROADCAST;
-			}
-			continue;
-		}
+	if (strcmp(argv[i], "-B") == 0) {
+	    if (lastdom != NULL) {
+		lastdom->nmbaddr = argv[++i];
+		lastdom->nmbcast = NMB_BROADCAST;
+	    }
+	    continue;
+	}
 
-		if (strcmp(argv[i], "-U") == 0)
-		{
-			if (lastdom != NULL)
-			{
-				lastdom->nmbaddr = argv[++i];
-				lastdom->nmbcast = NMB_UNICAST;
-			}
-			continue;
-		}
+	if (strcmp(argv[i], "-U") == 0) {
+	    if (lastdom != NULL) {
+		lastdom->nmbaddr = argv[++i];
+		lastdom->nmbcast = NMB_UNICAST;
+	    }
+	    continue;
+	}
 
-		if (strcmp(argv[i], "-S") == 0)
-		{
-			if (lastdom != NULL)
-			{
-				if ((lastdom->authshare = strdup(argv[++i])) == NULL)
-					return;
-
-				/* convert backslashes to forward slashes */
-				for (s = lastdom->authshare; *s != '\0'; s++)
-					if (*s == '\\')
-						*s = '/';
-
-				/* strip leading forward slash from share name */
-				if (*lastdom->authshare == '/')
-					lastdom->authshare++;
-
-				if ((s = strchr(lastdom->authshare, '/')) != NULL)
-  				{
-  					*s = '\0';
-  					lastdom->authfile = s + 1;
-  				}
-			}
-			continue;
+	if (strcmp(argv[i], "-S") == 0) {
+	    if (lastdom != NULL) {
+		if ((lastdom->authshare = strdup(argv[++i])) == NULL)
+		    return;
+
+		/* convert backslashes to forward slashes */
+		for (s = lastdom->authshare; *s != '\0'; s++)
+		    if (*s == '\\')
+			*s = '/';
+
+		/* strip leading forward slash from share name */
+		if (*lastdom->authshare == '/')
+		    lastdom->authshare++;
+
+		if ((s = strchr(lastdom->authshare, '/')) != NULL) {
+		    *s = '\0';
+		    lastdom->authfile = s + 1;
 		}
+	    }
+	    continue;
 	}
+    }
 
-	shcmd = debug ? HELPERSCRIPT : HELPERSCRIPT " > /dev/null 2>&1";
+    shcmd = debug ? HELPERSCRIPT : HELPERSCRIPT " > /dev/null 2>&1";
 
-	/* pass to helper script */
+    /* pass to helper script */
     if (putenv("SAMBAPREFIX=" SAMBAPREFIX) != 0)
-    	return;
+	return;
 
-	while (1)
-	{
-		if (fgets(buf, BUFSIZE, stdin) == NULL)
-			break;
-
-		if ((s = strchr(buf, '\n')) == NULL)
-			continue;
-		*s = '\0';
-
-		if ((s = strchr(buf, ' ')) == NULL)
-		{
-			(void) printf("ERR\n");
-			continue;
-		}
-		*s = '\0';
+    while (1) {
+	if (fgets(buf, BUFSIZE, stdin) == NULL)
+	    break;
+
+	if ((s = strchr(buf, '\n')) == NULL)
+	    continue;
+	*s = '\0';
+
+	if ((s = strchr(buf, ' ')) == NULL) {
+	    (void) printf("ERR\n");
+	    continue;
+	}
+	*s = '\0';
 
-		user = buf;
-		pass = s + 1;
-		domname = NULL;
-
-		if ((s = strchr(user, '\\')) != NULL)
-		{
-			*s = '\0';
-			domname = user;
-			user = s + 1;
-		}
+	user = buf;
+	pass = s + 1;
+	domname = NULL;
+
+	if ((s = strchr(user, '\\')) != NULL) {
+	    *s = '\0';
+	    domname = user;
+	    user = s + 1;
+	}
 
-		/* match domname with linked list */
-		if (domname != NULL && strlen(domname) > 0)
-		{
-			for (dom = firstdom; dom != NULL; dom = dom->next)
-				if (strcasecmp(dom->sname, domname) == 0)
-					break;
-		} else
-			dom = firstdom;
-
-		if (dom == NULL)
-		{
-			(void) printf("ERR\n");
-			continue;
-		}
+	/* match domname with linked list */
+	if (domname != NULL && strlen(domname) > 0) {
+	    for (dom = firstdom; dom != NULL; dom = dom->next)
+		if (strcasecmp(dom->sname, domname) == 0)
+		    break;
+	} else
+	    dom = firstdom;
+
+	if (dom == NULL) {
+	    (void) printf("ERR\n");
+	    continue;
+	}
 
-		if ((p = popen(shcmd, "w")) == NULL)
-		{
-			(void) printf("ERR\n");
-			continue;
-		}
+	if ((p = popen(shcmd, "w")) == NULL) {
+	    (void) printf("ERR\n");
+	    continue;
+	}
 
-		(void) fprintf(p, "%s\n", dom->name);
-		(void) fprintf(p, "%s\n", dom->passthrough);
-		(void) fprintf(p, "%s\n", dom->nmbaddr);
-		(void) fprintf(p, "%d\n", dom->nmbcast);
-		(void) fprintf(p, "%s\n", dom->authshare);
-		(void) fprintf(p, "%s\n", dom->authfile);
-		(void) fprintf(p, "%s\n", user);
-		/* the password can contain special characters */
-		print_esc(p, pass);
-		(void) fputc('\n', p);
-		(void) fflush(p);
-
-		if (pclose(p) == 0)
-			(void) printf("OK\n");
-		else
-			(void) printf("ERR\n");
+	(void) fprintf(p, "%s\n", dom->name);
+	(void) fprintf(p, "%s\n", dom->passthrough);
+	(void) fprintf(p, "%s\n", dom->nmbaddr);
+	(void) fprintf(p, "%d\n", dom->nmbcast);
+	(void) fprintf(p, "%s\n", dom->authshare);
+	(void) fprintf(p, "%s\n", dom->authfile);
+	(void) fprintf(p, "%s\n", user);
+	/* the password can contain special characters */
+	print_esc(p, pass);
+	(void) fputc('\n', p);
+	(void) fflush(p);
+
+	if (pclose(p) == 0)
+	    (void) printf("OK\n");
+	else
+	    (void) printf("ERR\n");
 
-	} /* while (1) */
+    }				/* while (1) */
 }
Index: squid/contrib/rredir.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/contrib/rredir.c,v
retrieving revision 1.1.1.1.44.1
retrieving revision 1.1.1.1.44.1.2.1
diff -u -r1.1.1.1.44.1 -r1.1.1.1.44.1.2.1
--- squid/contrib/rredir.c	6 Jan 2001 12:40:09 -0000	1.1.1.1.44.1
+++ squid/contrib/rredir.c	27 Aug 2001 21:48:16 -0000	1.1.1.1.44.1.2.1
@@ -1,5 +1,4 @@
-/* $Id: rredir.c,v 1.1.1.1.44.1 2001/01/06 12:40:09 hno Exp $ */
-
+/* $Id: rredir.c,v 1.1.1.1.44.1.2.1 2001/08/27 21:48:16 tolsty Exp $ */
 /*
  * From:    richard@hekkihek.hacom.nl (Richard Huveneers)
  * To:      squid-users@nlanr.net
Index: squid/contrib/chpasswd/Dutch.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/contrib/chpasswd/Attic/Dutch.h,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.1.2.1
diff -u -r1.1.2.1 -r1.1.2.1.2.1
--- squid/contrib/chpasswd/Dutch.h	6 Jan 2001 12:48:44 -0000	1.1.2.1
+++ squid/contrib/chpasswd/Dutch.h	27 Aug 2001 21:48:16 -0000	1.1.2.1.2.1
@@ -1,7 +1,5 @@
 /* Dutch language added by Richard Baselier <baselier@baselier.demon.nl> */
-
 #if defined(Dutch)
-
 char *msg01 = "Geen schrijfpermissie op paswoord file:";
 char *msg02 = "Nieuw paswoord leeg of te kort (minder dan";
 char *msg03 = "karakters).";
@@ -25,92 +23,109 @@
 char *msg21 = "Minimum aantal speciale karakters (toetsenbord)";
 char *msg22 = "Wijzig uw Squid Account Paswoord";
 char *msg23 = "Authorisatie file moet eigenaar root hebben. Aub. README.";
-char *msg24 = "Authorisatie file heeft verkeerde mode (moet 755 zijn). Aub. README.";
-char *msg25 = "Kan authorisatie file niet openen."; 
+char *msg24 =
+    "Authorisatie file heeft verkeerde mode (moet 755 zijn). Aub. README.";
+char *msg25 = "Kan authorisatie file niet openen.";
 char *msg26 = "U bent niet bevoegd het paswoord te wijzigen.";
 char *msg27 = "Authorisatie file niet gevonden.";
 
-static void UserForm(char *minlen, char *maxlen, char *minchar, char *minnum, char *minspec, char *bgcolor, char *txcolor, char *ticolor, char *rucolor, char *logo, char *width, char *height, char *header, char *bgimage)
+static void
+UserForm(char *minlen, char *maxlen, char *minchar, char *minnum, char *minspec,
+    char *bgcolor, char *txcolor, char *ticolor, char *rucolor, char *logo,
+    char *width, char *height, char *header, char *bgimage)
 {
 
-  char rules[255] = "<li>Compositie:";
-  char wrules[255];
-  int  frules=0;
-
-  printf("Content-type: text/html\n");
-  puts("\n");
-  printf("<html>\n");
-  printf("<head>\n");
-  printf("  <title>Wijzig Squid paswoord</title>\n");
-  printf("</head>\n");
-  printf("<body bgcolor=%s text=%s background='%s'>\n",bgcolor,txcolor,bgimage);
-
-  if(strlen(logo) > 0)
-     printf("<h2><img src='%s' border=0 align=absmiddle width=%s height=%s><font color=%s>%s</font></h2>\n",logo,width,height,ticolor,header);
-   else
-     printf("<h2><font color=%s>%s</font></h2>\n",ticolor,header);
-
-  printf("Voor beveiligings redenen, pas deze regels toe op uw nieuwe paswoord :\n");
-  printf("<ul>\n");
-  printf("<li>Het paswoord is hoofdletter gevoelig, dit betekent dat 'A' niet gelijk is aan 'a'.<br>\n");
-  printf("<li>U mag letters, nummers, en andere speciale karakters op uw toetsenbord gebruiken.<br>\n");
-  printf("<li>Nieuw paswoord regels:<br>");
-  printf("<ul><li>Lengte: minimum <font color=%s><b>%s</b></font>, maximum <font color=%s><b>%s</b></font> characters.<br>\n",rucolor,minlen,rucolor,maxlen);
-
-  if(strcmp(minchar,"0") != 0) {
-     sprintf(wrules," karakters (a-z, A-Z):<font color=%s><b> %s</b></font>",rucolor,minchar);
-     strcat(rules,wrules);
-     frules=1;
-  }
-  if(strcmp(minnum,"0") != 0) {
-     if(frules)
-        strcat(rules,", ");
-     sprintf(wrules," nummers (0-9):<font color=%s><b> %s</b></font>",rucolor,minnum);
-     strcat(rules,wrules);
-     frules=1;
-  }
-  if(strcmp(minspec,"0") != 0) {
-     if(frules)
-        strcat(rules,", ");
-     sprintf(wrules," speciale karakters (toetsenbord):<font color=%s><b> %s</b></font>",rucolor,minspec);
-     strcat(rules,wrules);
-     frules=1;
-  }
-  if(!frules){
-     sprintf(wrules,"<font color=%s><b> vrije keus</b></font>",rucolor);
-     strcat(rules,wrules);
-  }
-  strcat(rules,"<br>");
-  printf(rules);
-  printf("</ul>\n");
-
-  printf("<li>Uw nieuw paswoord is effectief binnen ongeveer 15 minuten.\n");
-  printf("</ul>\n");
-  printf("<form action='chpasswd.cgi' method=POST>\n");
-  printf("<center>\n");
-  printf("<hr noshade>\n");
-  printf("<table cellpadding=0 cellspacing=0>\n");
-  printf("  <tr><td align=right>Uw account naam:\n");
-  printf("      <td><input type=text name=user size=10>\n");
-  printf("  <tr><td align=right>Uw huidige paswoord:\n");
-  printf("      <td><input type=password name=old_pw size=%s>\n",maxlen);
-  printf("  <tr><td align=right>Nieuw paswoord:\n");
-  printf("      <td><input type=password name=new_pw1 size=%s>\n",maxlen);
-  printf("  <tr><td align=right>Nogmaals nieuw paswoord:\n");
-  printf("      <td><input type=password name=new_pw2 size=%s>\n",maxlen);
-  printf("</table>\n");
-  printf("<hr noshade>\n");
-  printf("<input type=submit name=change value='Wijzig mijn paswoord'>\n");
-  printf("<input type=reset name=reset value='Maak velden leeg'>\n");
-  printf("<input type=submit name=cancel value='Afbreken'>\n");
-  printf("</center>\n");
-  printf("</form>\n");
-  printf("<a href='%s'>%s-%s</a>\n",URL,PGM,VERSION);
-  printf("</body>\n");
-  printf("</html>\n");
+    char rules[255] = "<li>Compositie:";
+    char wrules[255];
+    int frules = 0;
+
+    printf("Content-type: text/html\n");
+    puts("\n");
+    printf("<html>\n");
+    printf("<head>\n");
+    printf("  <title>Wijzig Squid paswoord</title>\n");
+    printf("</head>\n");
+    printf("<body bgcolor=%s text=%s background='%s'>\n", bgcolor, txcolor,
+	bgimage);
+
+    if (strlen(logo) > 0)
+	printf
+	    ("<h2><img src='%s' border=0 align=absmiddle width=%s height=%s><font color=%s>%s</font></h2>\n",
+	    logo, width, height, ticolor, header);
+    else
+	printf("<h2><font color=%s>%s</font></h2>\n", ticolor, header);
+
+    printf
+	("Voor beveiligings redenen, pas deze regels toe op uw nieuwe paswoord :\n");
+    printf("<ul>\n");
+    printf
+	("<li>Het paswoord is hoofdletter gevoelig, dit betekent dat 'A' niet gelijk is aan 'a'.<br>\n");
+    printf
+	("<li>U mag letters, nummers, en andere speciale karakters op uw toetsenbord gebruiken.<br>\n");
+    printf("<li>Nieuw paswoord regels:<br>");
+    printf
+	("<ul><li>Lengte: minimum <font color=%s><b>%s</b></font>, maximum <font color=%s><b>%s</b></font> characters.<br>\n",
+	rucolor, minlen, rucolor, maxlen);
+
+    if (strcmp(minchar, "0") != 0) {
+	sprintf(wrules,
+	    " karakters (a-z, A-Z):<font color=%s><b> %s</b></font>", rucolor,
+	    minchar);
+	strcat(rules, wrules);
+	frules = 1;
+    }
+    if (strcmp(minnum, "0") != 0) {
+	if (frules)
+	    strcat(rules, ", ");
+	sprintf(wrules, " nummers (0-9):<font color=%s><b> %s</b></font>",
+	    rucolor, minnum);
+	strcat(rules, wrules);
+	frules = 1;
+    }
+    if (strcmp(minspec, "0") != 0) {
+	if (frules)
+	    strcat(rules, ", ");
+	sprintf(wrules,
+	    " speciale karakters (toetsenbord):<font color=%s><b> %s</b></font>",
+	    rucolor, minspec);
+	strcat(rules, wrules);
+	frules = 1;
+    }
+    if (!frules) {
+	sprintf(wrules, "<font color=%s><b> vrije keus</b></font>", rucolor);
+	strcat(rules, wrules);
+    }
+    strcat(rules, "<br>");
+    printf(rules);
+    printf("</ul>\n");
+
+    printf("<li>Uw nieuw paswoord is effectief binnen ongeveer 15 minuten.\n");
+    printf("</ul>\n");
+    printf("<form action='chpasswd.cgi' method=POST>\n");
+    printf("<center>\n");
+    printf("<hr noshade>\n");
+    printf("<table cellpadding=0 cellspacing=0>\n");
+    printf("  <tr><td align=right>Uw account naam:\n");
+    printf("      <td><input type=text name=user size=10>\n");
+    printf("  <tr><td align=right>Uw huidige paswoord:\n");
+    printf("      <td><input type=password name=old_pw size=%s>\n", maxlen);
+    printf("  <tr><td align=right>Nieuw paswoord:\n");
+    printf("      <td><input type=password name=new_pw1 size=%s>\n", maxlen);
+    printf("  <tr><td align=right>Nogmaals nieuw paswoord:\n");
+    printf("      <td><input type=password name=new_pw2 size=%s>\n", maxlen);
+    printf("</table>\n");
+    printf("<hr noshade>\n");
+    printf("<input type=submit name=change value='Wijzig mijn paswoord'>\n");
+    printf("<input type=reset name=reset value='Maak velden leeg'>\n");
+    printf("<input type=submit name=cancel value='Afbreken'>\n");
+    printf("</center>\n");
+    printf("</form>\n");
+    printf("<a href='%s'>%s-%s</a>\n", URL, PGM, VERSION);
+    printf("</body>\n");
+    printf("</html>\n");
 
-  fflush(stdout);
-  return;
+    fflush(stdout);
+    return;
 
 }
 #endif
